package _VisualDVM.Visual.Interface;
import Common.Visual.VisualizerForm;
public interface CallbackWindow extends VisualizerForm {
    void ShowAccountInfo(); //отображение в шапке окна обратной связи имени и прав. возможно убрать если нет регистрации вовсе.
    void ShowBugReports();
    void ShowNoBugReports();
    void ShowCurrentBugReport();
    void ShowNoCurrentBugReport();
    void ShowSubscription();
    //-
    default void ShowAll() {
        ShowAccountInfo();
        ShowSubscription();
        ShowBugReports();
    }
    String getBugReportDescriptionText();
    String getBugReportDescriptionAdditionText();
    String getBugReportCommentText();
    String getBugReportCommentAdditionText();
    void ClearBugReportDescriptionAdditionText();
    void ClearBugReportCommentAdditionText();
    void FocusRecipients();
    void SwitchScreen(boolean small);
    void showNoBugReports();
    void showMyOnlyBugReports();
    void showAllBugreports();
    void showAllBugReportsAdmin();
}
